<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Payloads">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>The Payload Generator</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#22-payloads/payload-generator.html">Open topic with navigation</a>
        </p>
        <h1>The Payload Generator</h1>
        <p>The Payload Generator enables you to  create a properly formatted executable that you can use to deliver shellcode to a target system without the use of an exploit. The Payload Generator provides a guided interface that walks you through the process of generating a dynamic payload or a classic payload. Depending on the type of payload you choose to build, it will display the applicable options that you can use to customize the payload. </p>
        <p>You use the payload generator when you need to build  a standalone binary file that delivers a custom-built payload. Binary files, such as <code>.exe</code> and <code>.bin</code> files, are typically delivered through client-side exploits, such as phishing e-mails or social engineering attacks, which means that you will probably need to be able to bypass anti-virus detection to execute the shellcode on the target system.  To help reduce anti-virus detection, the Payload Generator enables you to do things like encode the payload and use a dynamic executable. </p>
        <p>Payloads are generated globally, outside the context of a project. This means that payloads are generated on the fly, can only be downloaded once, and are not tied to a particular project. They are useful when you need to quickly generate a executable payload for a single use. </p>
        <h2 style="page-break-before: always;"><a name="Accessin"></a>Accessing the Payload Generator</h2>
        <p>You access the Payload Generator  from the Global Tools area of the web interface. To access the Payload Generator, go to the Projects List. Find the Global Tools area and click on the <b class="UISelection">Payload&#160;Generator</b> widget to launch it. </p>
        <p>
            <img src="../Resources/Images/payloads/payloads-global-payload-generator_463x252.png" title="Payload Generator" alt="Payload Generator" style="width: 463;height: 252;" />
            <br />
        </p>
        <h2>Building Dynamic Payloads</h2>
        <p>The Payload Generator enables you to build a Windows executable that uses a dynamic stager that is written entirely in randomized C code. The dynamic stager does not use an executable template or shellcode, which allows it to behave similarly to a standard Windows application. The resulting executable it is different each time it is generated, so that anti-virus software will not be able to identify the stager as Metasploit shellcode. </p>
        <p class="Note" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span> <![CDATA[ ]]><span class="VariablesProductName">Metasploit Pro</span> offers dynamic payloads for Windows platforms only. These payloads are compatible with any Windows x86 and x86_64 system.  </p>
        <h3>Dynamic Payload Options</h3>
        <p style="text-align: left;">You can use the following common options to build a dynamic payload: </p>
        <table style="width: 100%; margin-left: auto; margin-right: auto;" class="default">
            <col style="width: 177px;" />
            <col style="width: 836px;" />
            <thead>
                <tr>
                    <th class="default">Option</th>
                    <th class="default">Description</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>Type of Payload</td>
                    <td>
                        <p>Specifies the type of payload that the exploit will deliver to the target. </p>
                        <p>Choose
one of the following payload types:
</p>
                        <ul>
                            <li value="1"><b>Command</b> - A command execution payload that enables you to execute
commands on the remote machine.
</li>
                            <li value="2"><b>Meterpreter</b> - An advanced payload that provides a command line that
enables you to deliver commands and inject extensions on the fly.</li>
                        </ul>
                    </td>
                </tr>
                <tr>
                    <td>Stager</td>
                    <td>
                        <p>Specifies the type of stager that the payload will use to set up the network connection between  the target machine and the payload handler running on the Metasploit server. </p>
                        <p>The stager enables you to use a smaller payload to load and inject a larger, more complex payload called the stage. </p>
                        <p>Choose one of the following stagers: </p>
                        <ul>
                            <li value="1"><b>Reverse TCP</b> - Creates a connection from the target machine back to the Metasploit server over TCP. </li>
                            <li value="2"><b>Bind TCP</b> - Binds a command prompt to a listening port on the target machine so that the Metasploit server can connect to it.</li>
                            <li value="3"><b>Reverse HTTP</b> - Creates a connection from the target machine back to the Metasploit server over HTTP.</li>
                            <li value="4"><b>Reverse HTTPS</b> - Creates a connection from the target machine back to the Metasploit server over HTTPS. </li>
                        </ul>
                    </td>
                </tr>
                <tr>
                    <td>Stage</td>
                    <td>Specifies the payload that is delivered by  the stager.</td>
                </tr>
                <tr>
                    <td>LHOST</td>
                    <td>Defines the IP address  the payload connects back to. (Reverse connections only)</td>
                </tr>
                <tr>
                    <td>LPORT</td>
                    <td>Defines the port the payload connects back to. </td>
                </tr>
                <tr>
                    <td>RHOST</td>
                    <td>Defines the port that the listener binds to. (Bind connections only)</td>
                </tr>
            </tbody>
        </table>
        <h4>Generating Dynamic Payloads</h4>
        <ol>
            <li value="1">From the Projects page, launch the Payload Generator. <br /><br /><img src="../Resources/Images/payloads/payloads-launch-generator_512x110.png" title="Payload Generator" alt="Payload Generator" style="width: 512;height: 110;" /><br /></li>
            <li value="2">Select the <b class="UISelection">Dynamic&#160;Payload</b> option. <br /><br /><img src="../Resources/Images/payloads/payloads-dynamic-payload-option_334x136.png" title="Dynamic payload option" alt="Dynamic payload option" style="width: 334;height: 136;" /><br /></li>
            <li value="3">Click the <b class="UISelection">Stager</b> dropdown and choose one of the following: Reverse TCP, Bind TCP, Reverse&#160;HTTP, or Reverse HTTPS.<br /><br /><img src="../Resources/Images/payloads/payloads-dynamic-payload-stager_333x135.png" title="Payload Generator" alt="Payload Generator" style="width: 333;height: 135;" /></li>
            <li value="4">Click the <b class="UISelection">Stage</b> dropdown and choose the stage you want the stager to download. <br /><br /><img src="../Resources/Images/payloads/payloads-dynamic-payload-stage_330x134.png" title="Payload Generator" alt="Payload Generator" style="width: 330;height: 134;" /><br /><br />The list will display applicable stages for the stager you have selected.</li>
            <li value="5">Enter the IP address that you want to the payload to connect back to in the <b class="UISelection">LHOST</b> field. (Reverse connections only)<br /></li>
            <li value="6">Enter the port that you want the payload to connect back to in the <b class="UISelection">LPORT</b> field. </li>
            <li value="7">Enter the port that you want the listener to bind to in the <b class="UISelection">RHOST</b> field. (Bind connections only)<br /></li>
            <li value="8">Click <b class="UISelection">Generate</b>. </li>
        </ol>
        <p>If the payload generates without error, a window appears and alerts you that the payload has been generated and is ready for you to download. Click <b class="UISelection">Download Now</b> to automatically download the executable.                    <![CDATA[ ]]><br /><br />If your browser is not configured to automatically download files, a dialog window will appear and prompt you to save or run the file. You will need to save the executable to  your computer. </p>
        <h2>Building Classic Payloads</h2>
        <p>A classic payload is built the traditional way--from scratch. The Payload Generator is particularly useful when you need to build a payload in various formats and encode them with different encoder modules. You can build a variety of payloads  based on the operating system, architecture, type of connection, and output format that you need for a particular host. </p>
        <h3><a name="traditional-payload-options"></a>Classic Payload Options</h3>
        <p>The following table describes the most common options that are available for classic payloads:</p>
        <table style="width: 100%; margin-left: auto; margin-right: auto;" class="default">
            <col style="width: 177px;" />
            <col style="width: 836px;" />
            <thead>
                <tr>
                    <th class="default">Option</th>
                    <th class="default">Description</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>Platform</td>
                    <td>
                        <p>Specifies the platform. </p>
                        <p>The following platforms are supported: AIX, Android, BSD, BSDi, Firefox, Java, Linux, Netware, NodeJS, OSX, PHP, Platform, Python, Ruby, Solaris, Unix, and Windows. </p>
                    </td>
                </tr>
                <tr>
                    <td>Architecture</td>
                    <td>
                        <p>Specifies the processor architecture. </p>
                        <p>The Payload Generator shows you the options that are available for the architecture you have selected. </p>
                        <p>The following architectures are supported:</p>
                        <ul>
                            <li value="1">AIX</li>
                            <li value="2">Android</li>
                            <li value="3">BSD sparc and x86 </li>
                            <li value="4">BSDi</li>
                            <li value="5">Firefox</li>
                            <li value="6">Java</li>
                            <li value="7">Linux armle, cbea. cbea64, java, mipsbe, mipsle, ppc, ppc64, x86, and x86_64</li>
                            <li value="8">Netware</li>
                            <li value="9">NodeJS</li>
                            <li value="10">OSX armle, java, ppc, x86, and x86_64</li>
                            <li value="11">PHP armbe, armle, cbea. cbea64, cmd, dalvik, firefox, java, mips, mipsbe, mipsle, nodejs, php, ppc, ppc64, python, ruby, sparc, x86, and x86_64</li>
                            <li value="12">Solaris java, sparc,  and x86</li>
                            <li value="13">Unix cmd, java, and tty</li>
                            <li value="14">Windows cmd, java, x86, and x86_64</li>
                        </ul>
                    </td>
                </tr>
                <tr>
                    <td>Payload</td>
                    <td>
                        <p>Specifies the type of payload that the exploit will deliver to the target. </p>
                        <p>The Payload Generator shows you the payloads that are available for the platform you have selected. </p>
                    </td>
                </tr>
                <tr>
                    <td>Stager</td>
                    <td>
                        <p>Specifies the type of stager that the payload will use to set up the network connection between  the target machine and the payload handler running on the Metasploit server.</p>
                        <p>The stager enables you to use a smaller payload to load and inject a larger, more complex payload called the stage. </p>
                        <p>The list of stagers that are available will vary based on the platform and architecture that you have selected. </p>
                    </td>
                </tr>
                <tr>
                    <td>Exit Function</td>
                    <td>
                        <p>Specifies the function to call when a payload completes so that it can safely exit a thread. </p>
                        <p>Choose one of the following exit functions:</p>
                        <ul>
                            <li value="1"><b>Thread</b> - Calls the ExitThread API function. </li>
                            <li value="2"><b>Process</b> - Calls the ExitProcess API function.</li>
                            <li value="3"><b>SEH</b> - Restarts the thread when an error occurs. </li>
                            <li value="4"><b>None</b> - Enables the thread to continue executing so that you can serially run multiple payloads together. </li>
                        </ul>
                    </td>
                </tr>
                <tr>
                    <td>Listener Host</td>
                    <td>
                        <p>Defines the IP address that you want the target host to connect back to.</p>
                    </td>
                </tr>
                <tr>
                    <td>Listener Port</td>
                    <td>
                        <p>Defines the port that you want to use for reverse connections.</p>
                    </td>
                </tr>
                <tr>
                    <td>Added Shellcode</td>
                    <td>
                        <p> Enables you to specify an additional the shellcode file that will run in a separate, parallel thread while the main thread executes the payload. </p>
                    </td>
                </tr>
                <tr>
                    <td>Size of NOP Sled</td>
                    <td>
                        <p>Defines the length of the NOP sled you want to prepend to the payload. </p>
                        <p>Each NOP you add to the payload adds 1 byte to the total payload size.</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <p class="Note" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>The options that are available for a payload vary based on its architecture, platform. and payload type.</p>
        <h3>Encoding the Payload</h3>
        <p>An encoder enables you to eliminate bad characters from a payload  so that you can use it with a particular exploit.  A character is considered to be bad if some aspect of the exploit makes it impossible to use. For example, many applications interpret a null byte as the end of a string. If it appears anywhere in the payload, the shellcode will terminate before it completes and cause the payload to fail. In this particular case, you can apply an encoder that removes null bytes from the payload.</p>
        <p>An encoder does not guarantee that a payload will evade anti-virus detection, but it will ensure a payload does not contain bad characters that can cause issues with an exploit or produce unintended results. </p>
        <p>The following are examples of common bad characters:</p>
        <ul>
            <li value="1">Spaces</li>
            <li value="2">Carriage returns</li>
            <li value="3">Line feeds</li>
            <li value="4">Tabs</li>
            <li value="5">Null bytes </li>
        </ul>
        <p> There are many different encoders that are available in the Metasploit Framework, which can be used for various situations. For example, some encoders, such as <code>alpha_mixed</code> and <code>alpha_lower</code>, can be used to replace characters with all alphanumeric characters, which can be useful for applications that only accept text-based characters as input. Other encoders, such as the very reliable and highly ranked <code>shikata_ga_nai</code>, are polymorphic XOR encoders that use an XOR encrypting scheme to help evade detection.</p>
        <p>Encoding options are only available for the following platforms: </p>
        <table style="width: 100%;border-collapse: collapse;border-left-style: none;border-left-width: 0px;border-left-color: #ffffff;border-right-style: none;border-right-width: 0px;border-right-color: #ffffff;border-top-style: none;border-top-width: 0px;border-top-color: #ffffff;border-bottom-style: none;border-bottom-width: 0px;border-bottom-color: #ffffff;margin-left: auto;margin-right: auto;" class="default">
            <col />
            <col />
            <col />
            <tbody>
                <tr>
                    <td style="border: solid;border-color: #ffffff;">
                        <ul>
                            <li value="1">AIX</li>
                            <li value="2">BSD sparc</li>
                            <li value="3">BSD x86</li>
                            <li value="4">BSDi</li>
                            <li value="5">Linux mipsbe</li>
                            <li value="6">Linux mipsle</li>
                            <li value="7">Linux ppc</li>
                            <li value="8">Linux x86</li>
                        </ul>
                    </td>
                    <td style="border: solid;border-color: #ffffff;">
                        <ul>
                            <li value="1">Linux x86_64</li>
                            <li value="2">Netware</li>
                            <li value="3">OSX ppc</li>
                            <li value="4">OSX x86</li>
                            <li value="5">OSX x86_64</li>
                            <li value="6">PHP</li>
                            <li value="7">Platform sparc</li>
                            <li value="8">Platform x86</li>
                        </ul>
                    </td>
                    <td style="border: solid;border-color: #ffffff;">
                        <ul>
                            <li value="1">Platform x86_64</li>
                            <li value="2">Python cmd</li>
                            <li value="3">Solaris sparc</li>
                            <li value="4">Solaris x86</li>
                            <li value="5">Unix cmd</li>
                            <li value="6">Windows cmd</li>
                            <li value="7">Windows x86</li>
                            <li value="8">Windows x86_64</li>
                        </ul>
                    </td>
                </tr>
            </tbody>
        </table>
        <h4 style="page-break-after: avoid;page-break-before: always;"><a name="Encoding"></a>Encoding Options</h4>
        <p>You can use the following options to encode a payload:</p>
        <table style="width: 100%; margin-left: auto; margin-right: auto;" class="default">
            <col style="width: 176px;" />
            <col style="width: 837px;" />
            <thead>
                <tr>
                    <th class="default">Option</th>
                    <th class="default">Description</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>Encoder</td>
                    <td>
                        <p>Sets the encoder that is used to encode the payload.</p>
                        <p>The Payload Generator only displays the encoders that are applicable to the platform and architecture you have selected.</p>
                    </td>
                </tr>
                <tr>
                    <td>Number of Iterations</td>
                    <td>
                        <p>Specifies the number of times that you want to encode the payload. </p>
                        <p>The more times you encode a payload, the larger the payload becomes. You may need to modify the number of iterations if it causes the payload to exceed the maximum payload size. </p>
                    </td>
                </tr>
                <tr>
                    <td>Maximum Size of Payload</td>
                    <td>
                        <p>Defines the maximum size of the resulting payload in bytes. </p>
                        <p>The maximum size takes precedence over the encoding iterations. If the encoder causes the payload to exceed the maximum size you have specified, the Payload Generator will display an error message. </p>
                        <p>To fix the error, you can select a new encoder, modify the number of iterations, or set a different maximum payload size. </p>
                    </td>
                </tr>
                <tr>
                    <td>Bad Characters</td>
                    <td>
                        <p>Specifies the list of characters that you do not want to appear in the payload, such as spaces, carriage returns, line feeds, tabs, and null bytes. </p>
                        <p>You must enter the values in hex. </p>
                        <p>You can copy and paste the hex characters into the text box. The text editor will attempt to format the hex </p>
                    </td>
                </tr>
            </tbody>
        </table>
        <h3><a name="Output"></a>Output Options</h3>
        <p>You can use the following options to create the binary file:</p>
        <table style="width: 100%; margin-left: auto; margin-right: auto;" class="default">
            <col style="width: 176px;" />
            <col style="width: 837px;" />
            <thead>
                <tr>
                    <th class="default">Option</th>
                    <th class="default">Description</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>Format</td>
                    <td>
                        <p>Specifies the format to use to output the payload. </p>
                        <p>Choose from the following formats: executable, raw bytes, or shellcode buffer. </p>
                    </td>
                </tr>
                <tr>
                    <td>Preserve original functionality of executable</td>
                    <td>
                        <p style="font-weight: normal;">Enables you to inject the payload into an existing executable and retain the original functionality of the original executable. The resulting executable will function like the original one. </p>
                        <p style="font-weight: normal;">You should only enable this option only if you have uploaded a template file. </p>
                    </td>
                </tr>
                <tr>
                    <td>Template file</td>
                    <td>
                        <p>Specifies the executable template that you want to use to run in the main thread. For example, you can embed the payload in an executable, like calc.exe. When the executable runs, it creates a separate thread for the payload that runs in the background and continues to run calc.exe in the main thread. </p>
                    </td>
                </tr>
            </tbody>
        </table>
        <h4>Generating a Classic Payload</h4>
        <p>The configuration of a classic payload will vary based on the platform, architecture, payload, stager, and stage that you have selected. The following instructions will provide an overview of the steps that you need to perform to generate a classic payload--such as a Linux Meterpreter Reverse TCP payload. </p>
        <ol>
            <li value="1">From the Projects page, launch the Payload Generator. <br /><br /><img src="../Resources/Images/payloads/payloads-launch-generator_534x115.png" title="Payload Generator" alt="Payload Generator" style="width: 534;height: 115;" /><br /></li>
            <li value="2">Select the <b class="UISelection">Classic Payload</b> option.<br /><br /><img src="../Resources/Images/payloads/payloads-classic-payload-option_442x141.png" title="Payload Generator" alt="Payload Generator" style="width: 442;height: 141;" /></li>
            <li value="3">Click the <b class="UISelection">Platform</b> dropdown button and choose one of the available platforms. <br /><br /><img src="../Resources/Images/payloads/payloads-classic-platform_406x130.png" title="Payload Generator" alt="Payload Generator" style="width: 406;height: 130;" /><br /><br />For a list of supported platforms, see<MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"> <![CDATA[ ]]><a href="#traditional-payload-options" class="online MCXref xref xrefonline">Classic Payload Options</a></MadCap:conditionalText>. </li>
        </ol>
        <ol>
            <li value="4">Click the <b class="UISelection">Architecture</b> dropdown button and select one of the available processor architecture types. <br /><br /><img src="../Resources/Images/payloads/payloads-classic-arch_405x129.png" title="Payload Generator" alt="Payload Generator" style="width: 405;height: 129;" /><br /><br />The list of architecture types will vary based on the platform that you have selected. Some platforms, such as Android and AIX, will not have a platform.</li>
        </ol>
        <p>From this point on, the steps will vary depending on the platform, architecture, and payload you have selected. Generally, you will need to specify the LHOST (reverse), LPORT, and RHOST (bind) that the payload uses, as well as the output options for the executable. You can also do things like encode the payload. </p>
        <p>For more information on payload options, see <MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"> <![CDATA[ ]]><a href="#traditional-payload-options" class="online MCXref xref xrefonline">Classic Payload Options</a></MadCap:conditionalText>.  For more information on output options, see <MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"><a href="#Output" class="online MCXref xref xrefonline">Output Options</a> <![CDATA[ ]]></MadCap:conditionalText>. For more information on encoding options, see <MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"><a href="#Encoding" class="online MCXref xref xrefonline">Encoding Options</a> <![CDATA[ ]]></MadCap:conditionalText>. </p>
        <p>When you are ready to build the payload, click the <b class="UISelection">Generate</b> button. The <b class="UISelection">Generate</b> button will be active if all required options for the payload are configured. </p>
        <p style="text-align: left;">
            <img src="../Resources/Images/payloads/payloads-generate-button_268x221.png" title="Payload Generator" alt="Payload Generator" style="width: 268;height: 221;" />
        </p>
        <p>If the payload generates without error, a window appears and alerts you that the payload has been generated and is ready for you to download. Click <b class="UISelection">Download Now</b> to automatically start the download process. <br /><br />If your browser is not configured to automatically download files, a dialog window will appear and prompt you to save or run the file. You will need to save the payload to  your computer. </p>
        <h2>Listeners</h2>
        <p>A listener is the component that waits for an incoming connection from an exploited system. You must set up a listener if you intend to establish a connection between your Metasploit server and the exploited machine. For example, if you have delivered an executable to a target host, you will need to set up a listener to wait for a connection from it. When the host connects to the listener, a session opens on their machine, which will enable you to interact with it to do things like collect evidence from their system. </p>
        <p>In Metasploit Pro, you can set up persistent listeners, which will continuously listen for connect backs from a compromised host.  You can set up a persistent listener  from the Global Settings area of the web interface.  Each listener is bound to a specific project. </p>
        <p>To set up a listener, you will need to define the listening host, listening port, and payload type. 
You can also assign a post-exploitation macro to the listener, so that when the exploited system makes a connects back to the listener, <span class="VariablesProductName">Metasploit Pro</span> runs the macro.</p>
        <h3>Setting Up a Listener </h3>
        <ol>
            <li value="1">Select <b class="UISelection">Administration &gt; Global Settings</b>.</li>
            <li value="2">Find the <b class="UISelection">Persistent Listeners</b> section.</li>
            <li value="3">Click the <b class="UISelection">New Listener</b> button.</li>
            <li value="4">When the Create a Listener form appears, specify the following:</li>
        </ol>
        <ul>
            <li class="numberedList2" value="1"><cite>Associated project</cite> - Choose the project you want to use to access and manage open sessions.</li>
            <li class="numberedList2" value="2"><em>Listener payload</em> - Choose the appropriate payload for the listener. </li>
            <li class="numberedList2" value="3"><em>Listener Address</em> - Specify the IP address that you want the payload to connect back to (e.g., the IP address of the Metasploit server).</li>
            <li class="numberedList2" value="4"><em>Listener Port</em> - Specify the port you set up for the handler when you generated the Windows Meterpreter Reverse TCP payload (e.g., 4444).</li>
        </ul>
        <ol>
            <li value="5">Save the listener.</li>
        </ol>
    </body>
</html>